# Interface ComponentOptions

Defines a component's configuration object.

interface ComponentOptions {
bindings?: Record<string, string>;
controller?: string | Injectable;
controllerAs?: string;
require?: Record<string, string>;
template?: string | Injectable;
templateUrl?: string | Injectable;
transclude?: boolean | Record<string, string>;
}

- Defined in src/interface.ts:145

##### Index

### Properties

bindings?
controller?
controllerAs?
require?
template?
templateUrl?
transclude?

## Properties

### `Optional` bindings

bindings?: Record<string, string>

Binding definitions (e.g., `@`, `=`, `<`)

- Defined in src/interface.ts:155

### `Optional` controller

controller?: string | Injectable

Controller function or injectable string reference

- Defined in src/interface.ts:147

### `Optional` controllerAs

controllerAs?: string

Alias name for the controller in templates

- Defined in src/interface.ts:149

### `Optional` require

require?: Record<string, string>

Required controllers from other directives

- Defined in src/interface.ts:159

### `Optional` template

template?: string | Injectable

Inline HTML template

- Defined in src/interface.ts:151

### `Optional` templateUrl

templateUrl?: string | Injectable

URL of the HTML template

- Defined in src/interface.ts:153

### `Optional` transclude

transclude?: boolean | Record<string, string>

Enable transclusion or specify named slots

- Defined in src/interface.ts:157